/*****************************************************************************
**                                                                          **
**                         AMIC Proprietary Document                        **
**               Copyright (c) 2004-2008 AMIC Technology Inc.               **
**                                                                          **
**            No.2, Li-Hsin 6th Road, Science_Based Industrid Park,         **
**                       Hsin_Chu City, 300, Taiwan, ROC.                   **
**                 Tel: 886-3-5679966   Fax: 886-3-5679977                  **
**              E-mail:info@amic.com.tw  http: //www.amic.com.tw            **
**                                                                          **
*****************************************************************************/
#ifndef _RF_FUNCTION_H_
#define _RF_FUNCTION_H_

extern Uint8 A9101_Cal ( void );                           
extern Uint8 A9101_CHGroupCal ( Uint8 ch );                
extern Uint8 A9101_ReadReg ( Uint16 addr );                
extern Uint8 A9101_WriteID ( void );                       
extern Uint8 InitRF ( void );                              
extern void A9101_Config ( void );                         
extern void A9101_WriteReg ( Uint16 addr, Uint8 dataByte );
extern void ResetCmd ( Uint8 cmd );                        
extern void SetCH ( Uint8 ch );                            
extern void StrobeCmd ( Uint8 cmd );   
extern void InitCrystalCL(Uint8 VCOSC);

extern void InitCodec ( Uint8 mode );
extern void VOX_Detect ( Uint8 enable,Uint8 level );
extern const Uint8 code ID_Tab[];
extern const Uint8 code A9101_CONFIGTABLE[];
extern const Uint8 code A9101_CODECTABLE[];

#endif