/*****************************************************************************
**                                                                          **
**                         AMIC Proprietary Document                        **
**               Copyright (c) 2004-2008 AMIC Technology Inc.               **
**                                                                          **
**            No.2, Li-Hsin 6th Road, Science_Based Industrid Park,         **
**                       Hsin_Chu City, 300, Taiwan, ROC.                   **
**                 Tel: 886-3-5679966   Fax: 886-3-5679977                  **
**              E-mail:info@amic.com.tw  http: //www.amic.com.tw            **
**                                                                          **
*****************************************************************************/
#ifndef _GLOBALVAR_H_
#define _GLOBALVAR_H_
/*********************************************************************
**   PIN Define
*********************************************************************/

#define Pin_ModeSelect  P3_2
#define Option          P3_3

/************************************************************/
/*               MAIN.c                                     */
/************************************************************/
#ifdef _MAIN_C_
Uint8 MODE;

#else
extern Uint8 MODE;


#endif
/************************************************************/
/*               ISR.c                                      */
/************************************************************/
#ifdef _ISR_C_
Uint8    RF_FLAG;
Uint8    TimeoutFlag;
Uint8    timer;
Uint8    TIMEOUT;
Uint16   t0hrel;
#else
extern Uint8    RF_FLAG;
extern Uint8    TimeoutFlag;
extern Uint8    timer;
extern Uint8    TIMEOUT;
extern Uint16   t0hrel;
#endif
/************************************************************/
/*               Funciton.c                                 */
/************************************************************/
#ifdef _FUNCTION_C_
Uint8  *HopCH;
Uint8  *CntHopCH;

Uint8  xdata   CODECBUF[2][96];
Uint8  idata   TXBufIndex;
Uint8  idata   RXBufIndex;
bit       TxIndex;
bit       RxIndex;
bit       DataTxFlag;
bit       Empty;

Uint8 HoppingCH[4][4]; //20181105

const Uint8 code Broadcast_ID_Tab[8]={0x34,0x75,0xC5,0x8C,0xC7,0x33,0x45,0xE7}; 
const Uint8 code Pair1_ID_Tab[8]={0xC4,0xE5,0xC5,0x8C,0xC7,0x33,0x45,0xE7}; 
const Uint8 code Pair2_ID_Tab[8]={0x34,0x75,0x35,0x1C,0xC7,0x33,0x45,0xE7};

bit Pair1_OK =0;
bit Pair2_OK =0;

void InitMCU ( void );
void SetInterrupt ( void );
void InitCodec ( Uint8 mode );
void InitTimer0 ( void );


void StrobeCmd ( Uint8 cmd );
bit DeviceLink ( Uint8 mode );
Uint8 ScanMode ( bit BTN );
void Channel_mode(void);
Uint8 A9101_Battery_Detect(void);
Uint8 WriteID(Uint8* ID_Tab);
void A9101_Pair(void);

#else
extern Uint8  *HopCH;
extern Uint8  *CntHopCH;
extern Uint8  xdata   CODECBUF[2][96];
extern Uint8  idata   TXBufIndex;
extern Uint8  idata   RXBufIndex;
extern bit    idata   TxIndex;
extern bit    idata   RxIndex;
extern bit    idata   DataTxFlag;
extern bit    idata   Empty;

extern Uint8 HoppingCH[4][4];
extern const Uint8 code Broadcast_ID_Tab[8];
extern const Uint8 code Pair1_ID_Tab[8];
extern const Uint8 code Pair2_ID_Tab[8];
extern bit Pair1_OK;
extern bit Pair2_OK;

extern Uint8 ScanMode ( bit BTN );
extern void InitMCU ( void );
extern void SetInterrupt ( void );
extern void InitCodec ( Uint8 mode );
extern void InitTimer0 ( void );

extern void StrobeCmd ( Uint8 cmd );
extern bit DeviceLink ( Uint8 mode );
extern void Channel_mode(void);
extern Uint8 A9101_Battery_Detect(void);
extern Uint8 WriteID(Uint8* ID_Tab);
extern void A9101_Pair(void);


#endif
/************************************************************/
/*               Uti.c                                      */
/************************************************************/
#ifdef _Uti_C_

#else
extern void Delay10us ( Uint8 );
extern void Delay100us ( Uint8 );
extern void Delay1ms ( Uint8 );
extern void Delay10ms ( Uint8 );
#endif


#endif